Subject: Re: encfs: Fails to build (test segfaults)

From: Ivan Vilata i Balaguer <[email-masked]>
Date: Fri, 19 May 2023 13:40:27 +0200

Ivan Vilata i Balaguer (2023-05-04 18:46:54 +0200) wrote:

> Hi!  It looks like one of the tests in package `encfs` consistently segfaults
> in the version of Guix shown below:
> 
> ```
> […]
>     commit: 3f8c4899a9a67bb509a603bd21dcfcfab88c0e8e
> ```
> 
> This is the final part of the build log:
> 
> ```
> starting phase `check'
> Running tests...
> /gnu/store/ygab8v4ci9iklaykapq52bfsshpvi8pw-cmake-minimal-3.24.2/bin/ctest --force-new-ctest-process 
> Test project /tmp/guix-build-encfs-1.9.5.drv-0/build
>     Start 1: unit
> 1/1 Test #1: unit .............................***Exception: SegFault  0.01 sec
> Running main() from /tmp/guix-build-encfs-1.9.5.drv-0/encfs-1.9.5/vendor/github.com/google/googletest/googletest/src/gtest_main.cc
> […]
> ```
> 
> I saw a couple of encfs issues regarding segfaults in tests, but I don't think
> they're related: <https://github.com/vgough/encfs/issues/378>
> <https://github.com/vgough/encfs/issues/600>

I repeated the build with Guix commit 14c03807 and `encfs` tests failed in the
same way.  I tested the fix in <https://github.com/vgough/encfs/issues/600>,
i.e. `guix build encfs --with-input=openssl=[email-masked]`, and the build
succeeded, tests and all.  I also tried `--with-graft` instead of
`--with-input`, but the issue happened again.

I hope that this is useful!

-- 
Ivan Vilata i Balaguer -- https://elvil.net/